const APP_DISPLAY_NAME = "Flash Click to View";
const APP_NAME = "flashblock";
const APP_PACKAGE = "/Ted Mielczarek/flashblock";
const APP_VERSION = "0.1";

const APP_JAR_FILE = "flashblock.jar";
const APP_CONTENT_FOLDER = "content/flashblock/";

const APP_SUCCESS_MESSAGE = "Flash objects will now be replaced with a button that you can click to view them.\n\n";

// start it all up
initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

// get user's profile chrome directory
var chromef = getFolder("Profile", "chrome");
// add jar file
var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null);

var movedUserContent = false;

if(err == SUCCESS) {
// see if there's an existing userContent.css
userContent = getFolder(chromef, "userContent.css");
if(File.exists(userContent) ) { // move it out of the way
  movedUserContent = true;
  err = File.copy(userContent, getFolder(chromef,"userContent-flashblock-backup.css"));
}
if(err == SUCCESS)
  err = addFile(APP_PACKAGE, APP_VERSION, "userContent.css", chromef, "userContent.css", true);
}

if(err == SUCCESS) { 
	var jar = getFolder(chromef, APP_JAR_FILE);
	registerChrome(CONTENT | DELAYED_CHROME, jar, APP_CONTENT_FOLDER);
	err = performInstall();
	if(err == SUCCESS) {
		msg = APP_NAME + " " + APP_VERSION + " has been succesfully installed.\n"
			+APP_SUCCESS_MESSAGE
			+"Please restart your browser before continuing.";
		if(movedUserContent) {
			msg += "\nYour userContent.css was renamed to userContent-flashblock-backup.css.";
		}
		alert(msg);
	} else { 
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} else { 
  alert("Install failed. Error code:" + err);
  cancelInstall(err);
}
